[p4python] P4python for Python 2.6

Chris Trimble trimbo at gmail.com
Mon Jun 29 09:31:08 PDT 2009


Yes, I've gotten it working.  I should have written down how but here's how
I think I did it...
I believe I downloaded the P4Python 2008.2 code and
"p4api-2008.2.199044-vs2005_static".  Unpack the api into the same dir, then
edit your setup.cfg to point at that api.  Run setup.py as usual.  Should
work at this point (but like I said, I did this work a while ago and am
trying to dissect what I did).

 - Chris


On Mon, Jun 29, 2009 at 9:10 AM, Drew Davenport <drewdavenport.dev at gmail.com
> wrote:

> Hello,
>
> Has anyone had success getting the P4Python extension compiled for Python
> 2.6 under Windows? There was a thread on this topic earlier this calendar
> year, but the last message says that support is planned "soon", and I
> haven't been able to find much information elsewhere.
>
> I've attempted compiling them myself, but it seems like the root of the
> problem is that perforce supplies their p4api libraries compiled with either
> vs2003 or vs2005, but I need to compile extensions for 2.6 with vs2008.
>
> If anyone can provide any help or insight, it would be greatly appreciated.
>
> Regards,
> Drew Davenport
> _______________________________________________
> p4python mailing list
> p4python at perforce.com
> http://maillist.perforce.com/mailman/listinfo/p4python
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://maillist.perforce.com/pipermail/p4python/attachments/20090629/9e2b7c16/attachment-0001.html>


More information about the p4python mailing list